import { Component, OnInit } from '@angular/core';
import { CommonModule } from '@angular/common';
import { Recipe } from '../models/recipe';
import { RecipeService } from '../services/recipe.service';

@Component({
  selector: 'app-home',
  standalone: true,
  imports: [CommonModule],
  templateUrl: './home.component.html',
  styleUrl: './home.component.scss'
})
export class HomeComponent implements OnInit {
  currentOrders: Recipe[] = [];

  constructor(private recipeService: RecipeService) {}

  ngOnInit(): void {
    // Charger les commandes en cours depuis le service
    this.currentOrders = this.recipeService.getCurrentOrders();
  }
}
